Skip to Content
aicentos
API ReferenceModels API

Native Gemini Format

Last updated:

Models

GET /v1beta/models

Authentication

Store your API key in AICENTOS_API_KEY; the shell examples expand it in the Authorization: Bearer header.

The API Key obtained under "Token Management" in the console

Location: header

Response Body

application/json

export AICENTOS_API_KEY="sk-your-aicentos-api-key"

curl -X GET "https://aicentos.com/v1beta/models" \
  -H "Authorization: Bearer $AICENTOS_API_KEY"
{
  "models": [
    {
      "name": "models/gemini-2.0-pro",
      "displayName": "string",
      "description": "string",
      "inputTokenLimit": 0,
      "outputTokenLimit": 0,
      "supportedGenerationMethods": [
        "string"
      ]
    }
  ]
}